Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class DocumentBuilderFactory

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory

Direct Known Subclasses:
  JAXPFactory

public abstract class DocumentBuilderFactory
extends java.lang.Object

DocumentBuilderFactory is used to resolve the problem that the W3C DOM APIs don't include portable bootstrapping.

Version:
  $Id: DocumentBuilderFactory.java,v 1.6 2001/11/02 21:40:25 db Exp $
Author:
  Andrew Selkirk, David Brownell

Constructor Summary
`protected` | `DocumentBuilderFactory()`

Method Summary
`abstract java.lang.Object` | `getAttribute(java.lang.String name)`
`boolean` | `isCoalescing()`
`boolean` | `isExpandEntityReferences()`
`boolean` | `isIgnoringComments()`
`boolean` | `isIgnoringElementContentWhitespace()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`abstract DocumentBuilder` | `newDocumentBuilder()`
`static DocumentBuilderFactory` | `newInstance()`
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setCoalescing(boolean value)`
`void` | `setExpandEntityReferences(boolean value)`
`void` | `setIgnoringComments(boolean value)`
`void` | `setIgnoringElementContentWhitespace(boolean value)`
`void` | `setNamespaceAware(boolean value)`
`void` | `setValidating(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactory

    protected DocumentBuilderFactory()

Method Detail

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name)
                                           throws java.lang.IllegalArgumentException

### isCoalescing

    public boolean isCoalescing()

### isExpandEntityReferences

    public boolean isExpandEntityReferences()

### isIgnoringComments

    public boolean isIgnoringComments()

### isIgnoringElementContentWhitespace

    public boolean isIgnoringElementContentWhitespace()

### isNamespaceAware

    public boolean isNamespaceAware()

### isValidating

    public boolean isValidating()

### newDocumentBuilder

    public abstract DocumentBuilder newDocumentBuilder()
                                                throws ParserConfigurationException

### newInstance

    public static DocumentBuilderFactory newInstance()

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object value)
                               throws java.lang.IllegalArgumentException

### setCoalescing

    public void setCoalescing(boolean value)

### setExpandEntityReferences

    public void setExpandEntityReferences(boolean value)

### setIgnoringComments

    public void setIgnoringComments(boolean value)

### setIgnoringElementContentWhitespace

    public void setIgnoringElementContentWhitespace(boolean value)

### setNamespaceAware

    public void setNamespaceAware(boolean value)

### setValidating

    public void setValidating(boolean value)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.